{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-ceph-egress
spec:
  egress:
  - toCIDR:
    - 10.255.241.30/32
    - 10.255.241.31/32
    - 10.255.241.32/32
    - 10.255.244.0/24
    # toPorts:
    # - ports:
    #   - port: "4443"
    #     protocol: TCP
  endpointSelector: {}

{{- end }}
